#pragma once

#include <filesystem>

#include <RobotAPI/libraries/armem/core/forward_declarations.h>
#include <RobotAPI/libraries/armem/server/forward_declarations.h>


namespace armarx::armem::server::ltm::disk
{

    armem::wm::Memory load(const std::filesystem::path& directory);

    void store(const std::filesystem::path& directory, const armem::wm::Memory& memory);
    void store(const std::filesystem::path& directory, const armem::server::wm::Memory& memory);


} // namespace armarx::armem::server::ltm::disk
